/****************************************************************************
 **
 ** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
 **
 ** This file is part of the QtDeclarative module of the Qt Toolkit.
 **
 ** $QT_BEGIN_LICENSE:LGPL$
 ** No Commercial Usage
 ** This file contains pre-release code and may not be distributed.
 ** You may use this file in accordance with the terms and conditions
 ** contained in the Technology Preview License Agreement accompanying
 ** this package.
 **
 ** GNU Lesser General Public License Usage
 ** Alternatively, this file may be used under the terms of the GNU Lesser
 ** General Public License version 2.1 as published by the Free Software
 ** Foundation and appearing in the file LICENSE.LGPL included in the
 ** packaging of this file.  Please review the following information to
 ** ensure the GNU Lesser General Public License version 2.1 requirements
 ** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
 **
 ** In addition, as a special exception, Nokia gives you certain additional
 ** rights.  These rights are described in the Nokia Qt LGPL Exception
 ** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
 **
 ** If you have questions regarding the use of this file, please contact
 ** Nokia at qt-info@nokia.com.
 **
 **
 **
 **
 **
 **
 **
 **
 ** $QT_END_LICENSE$
 **
 ****************************************************************************/

#ifndef QMLACCESSIBILITYUPDATEMANAGER_P_H
#define QMLACCESSIBILITYUPDATEMANAGER_P_H

//
//  W A R N I N G
//  -------------
//
// This file is not part of the Qt API.  It exists purely as an
// implementation detail.  This header file may change from version to
// version without notice, or even be removed.
//
// We mean it.
//

#include <qdeclarative.h>
#include <private/qdeclarativeitemchangelistener_p.h>

QT_BEGIN_NAMESPACE

class QSGItem;

class QDeclarativeAccessibilityUpdater : public QObject, public QDeclarativeItemChangeListener
{
Q_OBJECT
public:
    QDeclarativeAccessibilityUpdater();
    ~QDeclarativeAccessibilityUpdater();
/*
    // QSGItemChangeListener:
    void itemGeometryChanged(QSGItem *, const QRectF &, const QRectF &);
    void itemSiblingOrderChanged(QSGItem *);
    void itemVisibilityChanged(QSGItem *);
    void itemOpacityChanged(QSGItem *);
    void itemDestroyed(QSGItem *);
*/
    // QDeclarativeItemChangeListener
    void itemSiblingOrderChanged(QDeclarativeItem *);
    void itemVisibilityChanged(QDeclarativeItem *);
    void itemOpacityChanged(QDeclarativeItem *);
    void itemDestroyed(QDeclarativeItem *);

    bool isAccessible(QObject *object);
    QObject *parent(QObject *object);
private:
    Q_DISABLE_COPY(QDeclarativeAccessibilityUpdater);
};

QT_END_NAMESPACE

#endif // QMLACCESSIBILITYUPDATEMANAGER_P_H
